//uni.setStorage(OBJECT)将数据存储在本地缓存中指定的 key 中，会覆盖掉原来该 key 对应的内容，这是一个异步接口。
//uni.setStorageSync(KEY,DATA)将 data 存储在本地缓存中指定的 key 中，会覆盖掉原来该 key 对应的内容，这是一个同步接口
//uni.getStorage(OBJECT)从本地缓存中异步获取指定 key 对应的内容。
//uni.getStorageSync(KEY)从本地缓存中同步获取指定 key 对应的内容。
//uni.getStorageInfo(OBJECT)异步获取当前 storage 的相关信息。
//uni.getStorageInfoSync()同步获取当前 storage 的相关信息。
//uni.removeStorage(OBJECT)从本地缓存中异步移除指定 key。
//uni.removeStorageSync(KEY)从本地缓存中同步移除指定 key。
//uni.clearStorage()清理本地数据缓存。
//uni.clearStorageSync()同步清理本地数据缓存。

const token = 'accessToken'
// 暴露方法
export class Storage {
	// 存储json数据
	setStorageSync(key, value) {
		return uni.setStorageSync(key, value)
	}
	// 保存登录token这是一个同步接口
	setToken(value) {
		return uni.setStorageSync(token, value)
	}
	// 从本地缓存中异步获取取出登录token
	getToken() {
		return uni.getStorageSync('accessToken')
	}
	//取出存储json数据 
	getStorageSync(key) {
		return uni.getStorageSync(key)
	}
	// 清除某个json数据
	removeStorageSync(key) {
		return uni.removeStorageSync(key);
	}
	// 清除所有存储数据
	clearStorageSync() {
		return uni.clearStorageSync()
	}
}

